"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var Tinper = _interopRequireWildcard(require("./tinper"));

var _lang = _interopRequireDefault(require("./lang"));

var _MobileLocale = _interopRequireDefault(require("./components/MobileLocale"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// export default {
//     ...Tinper,
//     Locale,
//     MobileLocale
// }
function getLanguage() {
  var _cb, _cb$lang, _cb2, _cb2$rest$AppContext;

  var lang = "zh_CN";
  var globa = ((_cb = cb) === null || _cb === void 0 ? void 0 : (_cb$lang = _cb.lang) === null || _cb$lang === void 0 ? void 0 : _cb$lang.lang) || ((_cb2 = cb) === null || _cb2 === void 0 ? void 0 : (_cb2$rest$AppContext = _cb2.rest.AppContext) === null || _cb2$rest$AppContext === void 0 ? void 0 : _cb2$rest$AppContext.globalization) || null;

  if (globa === null || globa === void 0 ? void 0 : globa.locale) {
    return globa.locale;
  }

  if (window && Url.query('locale')) {
    // url 配置页面语言
    lang = Url.query('locale');
  } else if (this.getCookie('locale')) {
    lang = this.getCookie('locale');
  } else if (globa === null || globa === void 0 ? void 0 : globa.locale) {
    lang = globa.locale;
  } else {
    // 系统浏览器语言
    lang = this.getG_Language().replace('-', '_');
  }

  if (!lang) console.error('Please add the _lang parameter to the browser !');
  return lang;
}

var component = null;
component = _objectSpread(_objectSpread({}, Tinper), {}, {
  Locale: _lang["default"],
  MobileLocale: _MobileLocale["default"]
}); // window && window.YonyouLang = (key)=>{
//     return _Locale[getLanguage()][key];
// }

module.exports = component;
//# sourceMappingURL=index copy.js.map
